## ros-kinetic-jsk-hark-msgs 4.3.1

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_hark_msgs)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED message_generation std_msgs)

# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
add_message_files(
  DIRECTORY msg
  FILES HarkPower.msg
)
#uncomment if you have defined services
#add_service_files(
  # FILES
  # TODO: List your msg files here
#)

#common commands for building c++ executables and libraries
#add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#
# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_add_boost_directories()
#find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})
#target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})
#add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})
## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES std_msgs
)
# TODO: fill in what other packages will need to use this package
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
     DEPENDS  # TODO
     CATKIN_DEPENDS std_msgs # TODO
     INCLUDE_DIRS # TODO include
     LIBRARIES # TODO
)

=== debian/changelog ===
ros-kinetic-jsk-hark-msgs (4.3.1-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 08 Nov 2017 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (4.3.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (4.2.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jun 2017 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (4.1.1-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 17 May 2017 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (4.1.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (4.0.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 21 Sep 2016 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (3.0.0-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sat, 18 Jun 2016 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (2.0.1-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Thu, 21 Jan 2016 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (2.0.0-0xenial) xenial; urgency=high

  * move from jsk_common to jsk_common_msgs

 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Fri, 19 Jun 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.72-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sun, 07 Jun 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.71-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sun, 17 May 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.70-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Fri, 08 May 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.69-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 05 May 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.68-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 05 May 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.67-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sun, 03 May 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.66-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Fri, 03 Apr 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.65-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Thu, 02 Apr 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.64-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sun, 29 Mar 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.63-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Thu, 19 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.62-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 17 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.61-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 11 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.60-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 03 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.59-0xenial) xenial; urgency=high

  * Remove rosbuild files
  * Contributors: Ryohei Ueda

 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 03 Feb 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.58-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.57-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 23 Dec 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.56-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 17 Dec 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.55-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Tue, 09 Dec 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.54-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sat, 15 Nov 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.53-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sat, 01 Nov 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.52-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.51-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.50-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.49-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Mon, 13 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.48-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Sun, 12 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.47-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Wed, 08 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.46-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Fri, 03 Oct 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.45-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Mon, 29 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.44-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Fri, 26 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.43-0xenial) xenial; urgency=high



 -- Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>  Fri, 26 Sep 2014 00:00:00 -0000

ros-kinetic-jsk-hark-msgs (1.0.42-0xenial) xenial; urgency=high





=== debian/control ===
Source: ros-kinetic-jsk-hark-msgs
Section: misc
Priority: extra
Maintainer: Shohei Fujii <s-fujii@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/jsk_hark_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-jsk-hark-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: jsk_hark_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-jsk-hark-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
